## tetzle 2.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

# Configure project
project(tetzle VERSION 2.2.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools OpenGL OpenGLWidgets Widgets)
if(UNIX AND NOT APPLE)
	include(GNUInstallDirs)
endif()

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
	add_compile_definitions(
		QT_STRICT_ITERATORS
		QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
		QT_DISABLE_DEPRECATED_BEFORE=0x060000
	)
endif()

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(tetzle
	src/add_image.cpp
	src/appearance_dialog.cpp
	src/board.cpp
	src/choose_game_dialog.cpp
	src/color_button.cpp
	src/dancing_links.cpp
	src/generator.cpp
	src/graphics_layer.cpp
	src/image_properties_dialog.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/message.cpp
	src/new_game_tab.cpp
	src/open_game_tab.cpp
	src/overview.cpp
	src/path.cpp
	src/piece.cpp
	src/tile.cpp
	src/tag_manager.cpp
	src/thumbnail_delegate.cpp
	src/thumbnail_loader.cpp
	src/toolbar_list.cpp
	src/window.cpp
	src/zoom_slider.cpp
	data/data.qrc
	${translations_QM}
)

target_link_libraries(tetzle PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::OpenGL
	Qt6::OpenGLWidgets
	Qt6::Widgets
)

target_compile_definitions(tetzle PRIVATE VERSIONSTR="${PROJECT_VERSION}")

# Install
if(UNIX AND NOT APPLE)
	target_sources(tetzle PRIVATE icons/icon.qrc)

	install(TARGETS tetzle RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/tetzle/translations)
	install(FILES doc/tetzle.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(FILES data/unix/tetzle.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES data/unix/tetzle.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
elseif(WIN32)
	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(tetzle PROPERTIES
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Jigsaw puzzle game"
		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
		QT_TARGET_PRODUCT_NAME "Tetzle"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/tetzle.ico
	)
	_qt_internal_generate_win32_rc_file(tetzle)
endif()

## tetzle 2.0.0

=== debian/changelog ===
tetzle (2.0.0-1) unstable; urgency=low

  * Synced with https://launchpad.net/~gottcode/+archive/gcppa/
  * debian/control: Fixed "dpkg-source: warning: unknown information field
    'Suggests' in input data in general section of control info file".

 -- Bart Martens <bartm@debian.org>  Thu, 02 Jun 2011 02:51:09 +0000

tetzle (2.0.0-0ppa2~oneiric1) oneiric; urgency=low

  * Added optional dependency on jhead.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 18 May 2011 20:31:13 -0400

tetzle (2.0.0-0ppa1~oneiric1) oneiric; urgency=low

  * New upstream release.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 18 May 2011 14:12:30 -0400

tetzle (1.2.1-1) unstable; urgency=low

  * Initial package in Debian.  Closes: #530340.
  * debian/patches/01_paths.diff: Added.  Replaces /usr/local by /usr
    and /usr/bin by /usr/games.
  * debian/rules, debian/menu, debian/install: Use imagemagick to convert the
    icon to .xpm format for debian/menu.

 -- Bart Martens <bartm@debian.org>  Sun, 24 May 2009 00:19:45 +0200

=== debian/control ===
Source: tetzle
Section: games
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: cdbs, debhelper (>= 7), libqt4-dev, libqt4-opengl-dev
Standards-Version: 3.9.2
Homepage: http://gottcode.org/tetzle/

Package: tetzle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: jhead
Description: Jigsaw puzzle game
 Any image can be imported and used to create puzzles with a wide range of
 sizes. Games are saved automatically, and you can select between currently
 in progress games.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

DEB_QMAKE_ARGS = PREFIX=/usr BINDIR=games

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/;" \
http://gottcode.org/tetzle/ .*tetzle-(v?[\d\.]+(?:rc|rc\d+|pre-rc\d+|-unix|-source|-Source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.(?:tar\.gz|tgz|tar\.bz2|zip|pm\.gz|jar|shar\.gz|shar\.Z)

## tetzle 2.0.1

=== debian/changelog ===
tetzle (2.0.1-1) unstable; urgency=low

  * New upstream release.  Closes: #668772.
  * debhelper 9, no more cdbs.
  * debian/patches/01_dont-draw-empty-scene.diff: Removed, is in upstream now.
  * debian/patches/02_check-for-GLSL.diff: Removed, is in upstream now.
  * debian/patches/03_detect-graphics-layer.diff: Removed, is in upstream now.

 -- Bart Martens <bartm@debian.org>  Sun, 20 May 2012 06:09:10 +0000

tetzle (2.0.0-2) unstable; urgency=low

  * Added patches.  Closes: #671738.
    + debian/patches/01_dont-draw-empty-scene.diff
    + debian/patches/02_check-for-GLSL.diff
    + debian/patches/03_detect-graphics-layer.diff
  * debian/control: Build-Conflicts: qt3-dev-tools.  Closes: #565796.

 -- Bart Martens <bartm@debian.org>  Sun, 13 May 2012 04:30:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), libqt4-dev, libqt4-opengl-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libqt4-dev, libqt4-opengl-dev
+Build-Conflicts: qt3-dev-tools
+Standards-Version: 3.9.3
 Homepage: http://gottcode.org/tetzle/
 
 Package: tetzle

=== debian/watch ===
version=3
http://gottcode.org/tetzle/ .*tetzle-(.*)-src\.tar\.bz2$

## tetzle 2.0.2.1

=== debian/changelog ===
tetzle (2.0.2.1-3) unstable; urgency=low

  * Fix "tetzle: build failures on ARM"
    - d/p/fix-arm-build.patch
      Thanks Graeme Gott for patch
    (Closes: #717949)

 -- Hector Oron <zumbi@debian.org>  Mon, 05 Aug 2013 00:48:34 +0000

tetzle (2.0.2.1-2) unstable; urgency=low

  * QA upload, orphaning this package.
  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Fri, 26 Jul 2013 17:57:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tetzle
 Section: games
 Priority: optional
-Maintainer: Bart Martens <bartm@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libqt4-dev, libqt4-opengl-dev
 Build-Conflicts: qt3-dev-tools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://gottcode.org/tetzle/
 
 Package: tetzle

=== debian/watch ===
version=3
opts=uversionmangle=s/(\db?)[_\-\.](src)$/$1/ \
http://gottcode.org/tetzle/download/ \
(?:.*/|.*=|)tetzle[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## tetzle 2.0.3

=== debian/changelog ===
tetzle (2.0.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * Removed fix-arm-build.patch - fixed upstream
  * Changed URLS to use HTTPS
  * Converted copyright to DEP-5
  * Bumped standards version to 3.9.8

 -- David William Richmond Jones <dwrj87@gmail.com>  Wed, 29 Jun 2016 06:39:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libqt4-dev, libqt4-opengl-dev
 Build-Conflicts: qt3-dev-tools
-Standards-Version: 3.9.4
-Homepage: http://gottcode.org/tetzle/
+Standards-Version: 3.9.8
+Homepage: https://gottcode.org/tetzle/
 
 Package: tetzle
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- BINDIR=games

## tetzle 2.1.0

=== debian/changelog ===
tetzle (2.1.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
    - Updated build-deps to QT5
  * Removed broken watch file
  * Replaced menu file with desktop file
  * Added some missing information in d/copyright
  * Bumped compat to 10
  * Standards version 4.0.0

 -- David William Richmond Davies-Jones <david@exultantmonkey.co.uk>  Thu, 29 Jun 2017 01:40:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev, libqt4-opengl-dev
-Build-Conflicts: qt3-dev-tools
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), qttools5-dev-tools (>=5.2), libqt5opengl5-dev (>=5.2)
+Standards-Version: 4.0.0
 Homepage: https://gottcode.org/tetzle/
 
 Package: tetzle

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
+export QT_SELECT=qt5
 
 %:
 	dh $@

## tetzle 2.1.1+dfsg1

=== debian/changelog ===
tetzle (2.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #737285).
    + Changed Maintainer field in debian/control file.
    + Add new maintainer in debian/copyright file.
  * Standards version 4.1.0: no special changes required.
  * Added Categories and Keywords fields on debian/desktop file.
  * Added tetzle.appdata.xml file on debian directory.
  * Reintroduced debian/watch file.
  * Added export DEB_BUILD_MAINT_OPTIONS on debian/rules.
  * Added Vcs-Browser and Vcs-Git on debian/control file.
  * Repacking sources due to unnecessary files.
    + Added README.source file en debian directory (see for
    details).
    + Added +dfsg1 to package name.
  

 -- Innocent De Marchi <tangram.peces@gmail.com>  Wed, 13 Sep 2017 07:23:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: tetzle
 Section: games
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
 Build-Depends: debhelper (>= 10), qttools5-dev-tools (>=5.2), libqt5opengl5-dev (>=5.2)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tetzle.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tetzle.git
 Homepage: https://gottcode.org/tetzle/
 
 Package: tetzle

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 #export DH_VERBOSE=1
 export QT_SELECT=qt5
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 
 %:
 	dh $@

## tetzle 2.1.2+dfsg1

=== debian/changelog ===
tetzle (2.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Bumped standards version to 4.1.3 (no changes required).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 06 Jan 2018 17:15:12 +0100

tetzle (2.1.1+dfsg1-2) unstable; urgency=medium

  * Changed libqt5opengl5-dev build dependency by libqt5opengl5-desktop-dev
    (Closes: #884395 ; LP: 935473).
  * Bumped standards version to 4.1.2 (no changes required).
  * Added tetrominoes word in keywords field on debian/desktop.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 15 Dec 2017 17:13:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
-Build-Depends: debhelper (>= 10), qttools5-dev-tools (>=5.2), libqt5opengl5-dev (>=5.2)
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 10), qttools5-dev-tools (>=5.2), 
+               libqt5opengl5-desktop-dev
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tetzle.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tetzle.git
 Homepage: https://gottcode.org/tetzle/

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- BINDIR=games

=== debian/watch ===
version=4
opts=dversionmangle=s/-\d\+dfsg// \
  https://github.com/gottcode/tetzle/tags .*/v?(\d\S*)\.tar\.gz
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
#opts=dversionmangle=s/\.dfsg.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \

## tetzle 2.1.3+dfsg1

=== debian/changelog ===
tetzle (2.1.3+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:33:24 +0800

tetzle (2.1.3+dfsg1-2) unstable; urgency=medium

  * Adopting package (Closes: #922886)
  * Update compat to debhelper-compat (=12)
  * Update standards version to 4.3.0
  * Move VCS to debian project space on salsa.debian.net

 -- Jonathan Carter <jcc@debian.org>  Fri, 22 Feb 2019 11:39:20 +0200

tetzle (2.1.3+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Bumped standards version to 4.1.4 (no changes required).
  * Migrated to Salsa.
  * Bumped debhelper and compat level to 11.
  * Updated years on d/copyright.
  * Updated README.source.
  * Added Files-Excluded field on d/copyright.
  * Added d/docs file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 11 Jun 2018 18:25:12 +0100

=== debian/control ===
Source: tetzle
Section: games
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12), qttools5-dev-tools (>=5.2),
               libqt5opengl5-desktop-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/tetzle
Vcs-Git: https://salsa.debian.org/debian/tetzle.git
Homepage: https://gottcode.org/tetzle/

Package: tetzle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: jhead
Description: Jigsaw puzzle game
 Any image can be imported and used to create puzzles with a wide range of
 sizes. Games are saved automatically, and you can select between currently
 in progress games.

## tetzle 2.1.4+dfsg1

=== debian/changelog ===
tetzle (2.1.4+dfsg1-2) unstable; urgency=medium

  * Source-only upload
  * Update standards version to 4.4.0

 -- Jonathan Carter <jcc@debian.org>  Thu, 11 Jul 2019 13:28:24 +0200

tetzle (2.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Update metadata license information
  * Remove no longer needed debian/docs

 -- Jonathan Carter <jcc@debian.org>  Thu, 04 Apr 2019 13:57:56 +0200

## tetzle 2.1.5+dfsg1

=== debian/changelog ===
tetzle (2.1.5+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:41 +0100

tetzle (2.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 24 Oct 2019 11:39:02 +0000

tetzle (2.1.4+dfsg1-3) unstable; urgency=medium

  * Remove extra appdata.xml file (upstream file is now provided)
  * Add copyright information for data/unix/tetzle.appdata.xml
  * Add self to copyright file
  * Update standards version to 4.4.1

 -- Jonathan Carter <jcc@debian.org>  Wed, 23 Oct 2019 13:24:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 12), qttools5-dev-tools (>=5.2),
                libqt5opengl5-desktop-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git
 Homepage: https://gottcode.org/tetzle/

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,3 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- BINDIR=games
-

## tetzle 2.1.6

=== debian/changelog ===
tetzle (2.1.6-1) unstable; urgency=medium

  * New upstream release
  * Remove extraneous comments from watch file
  * Remove README.debian ('windows' and 'tools' directories are no
    longer shipped in upstream tarball so no -dfsg tarball required)
  * Upgrade debhelper-compat to level 13
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root: no
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Sat, 02 May 2020 17:51:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12), qttools5-dev-tools (>=5.2),
+Build-Depends: debhelper-compat (= 13), qttools5-dev-tools (>=5.2),
                libqt5opengl5-desktop-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git
 Homepage: https://gottcode.org/tetzle/

## tetzle 2.2.0

=== debian/changelog ===
tetzle (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.0
  * Update dependencies for qt6 migration

 -- Jonathan Carter <jcc@debian.org>  Wed, 16 Feb 2022 13:55:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,18 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 13), qttools5-dev-tools (>=5.2),
-               libqt5opengl5-desktop-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+ qt6-tools-dev,
+ qt6-l10n-tools,
+ qt6-tools-dev-tools,
+ qt6-base-dev-tools,
+ libqt6widgets6,
+ libqt6gui6,
+ libqt6core6,
+ mesa-common-dev,
+ libqt6opengl6-dev,
+ cmake
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git

=== debian/watch ===
version=4
opts=dversionmangle=s/-\d\+dfsg// \
  https://github.com/gottcode/tetzle/tags .*/v?(\d\S*)\.tar\.gz

## tetzle 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # Configure project
-project(tetzle VERSION 2.2.0 LANGUAGES CXX)
+project(tetzle VERSION 2.2.1 LANGUAGES CXX)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -18,7 +18,7 @@
 	add_compile_definitions(
 		QT_STRICT_ITERATORS
 		QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-		QT_DISABLE_DEPRECATED_BEFORE=0x060000
+		QT_DISABLE_DEPRECATED_BEFORE=0x060300
 	)
 endif()
 
@@ -90,7 +90,7 @@
 		QT_TARGET_VERSION "${PROJECT_VERSION}"
 		QT_TARGET_COMPANY_NAME "Graeme Gott"
 		QT_TARGET_DESCRIPTION "Jigsaw puzzle game"
-		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
+		QT_TARGET_COPYRIGHT "Copyright (C) 2022 Graeme Gott"
 		QT_TARGET_PRODUCT_NAME "Tetzle"
 		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/tetzle.ico
 	)

=== debian/changelog ===
tetzle (2.2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Jonathan Carter ]
  * Update standards version to 4.6.1

 -- Jonathan Carter <jcc@debian.org>  Thu, 11 Aug 2022 12:24:51 +0200

tetzle (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 11 May 2022 12:31:24 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  mesa-common-dev,
  libqt6opengl6-dev,
  cmake
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git

## tetzle 2.2.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# Configure project
project(tetzle VERSION 2.2.2 LANGUAGES CXX)

set(project_copyright "2008-2023 Graeme Gott")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools OpenGL OpenGLWidgets Widgets)
include(GNUInstallDirs)

add_compile_definitions(
	QT_NO_KEYWORDS
	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
)

# Version number
include(cmake/AddVersionCompileDefinition.cmake)
add_version_compile_definition(src/main.cpp VERSIONSTR)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(tetzle
	src/add_image.cpp
	src/appearance_dialog.cpp
	src/board.cpp
	src/choose_game_dialog.cpp
	src/color_button.cpp
	src/dancing_links.cpp
	src/generator.cpp
	src/graphics_layer.cpp
	src/image_properties_dialog.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/message.cpp
	src/new_game_tab.cpp
	src/open_game_tab.cpp
	src/overview.cpp
	src/path.cpp
	src/piece.cpp
	src/tile.cpp
	src/tag_manager.cpp
	src/thumbnail_delegate.cpp
	src/thumbnail_loader.cpp
	src/toolbar_list.cpp
	src/window.cpp
	src/zoom_slider.cpp
	data/data.qrc
	${translations_QM}
)

target_link_libraries(tetzle PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::OpenGL
	Qt6::OpenGLWidgets
	Qt6::Widgets
)

# Optimize build
option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" OFF)
if(ENABLE_LINK_TIME_OPTIMIZATION)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT result)
	if(result)
		set_target_properties(tetzle PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
	endif()
endif()

option(ENABLE_STRIP "Enable automatic stripping of builds" OFF)
if(ENABLE_STRIP)
	add_custom_command(TARGET tetzle
		POST_BUILD
		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:tetzle>
	)
endif()

# Install
if(APPLE)
	set(datadir "../Resources")

	set_target_properties(tetzle PROPERTIES
		OUTPUT_NAME Tetzle
		MACOSX_BUNDLE TRUE
		MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/data/mac/Info.plist.in
	)

	include(cmake/BundleResources.cmake)
	bundle_data(tetzle ${CMAKE_SOURCE_DIR}/icons/tetzle.icns Resources)
	bundle_translations(tetzle "${translations_QM}")
elseif(WIN32)
	set(datadir ".")

	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(tetzle PROPERTIES
		OUTPUT_NAME Tetzle
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Jigsaw puzzle game"
		QT_TARGET_COPYRIGHT "\\xA9 ${project_copyright}"
		QT_TARGET_PRODUCT_NAME "Tetzle"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/tetzle.ico
	)
	_qt_internal_generate_win32_rc_file(tetzle)
else()
	file(RELATIVE_PATH datadir ${CMAKE_INSTALL_FULL_BINDIR} ${CMAKE_INSTALL_FULL_DATADIR}/tetzle)

	target_sources(tetzle PRIVATE icons/icon.qrc)

	install(TARGETS tetzle RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/tetzle/translations)
	install(FILES doc/tetzle.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(FILES data/unix/tetzle.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES data/unix/tetzle.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
endif()

set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS TETZLE_DATADIR="${datadir}")

=== debian/changelog ===
tetzle (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.1
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Wed, 08 Feb 2023 09:42:04 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  mesa-common-dev,
  libqt6opengl6-dev,
  cmake
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git

## tetzle 2.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tetzle VERSION 2.2.2 LANGUAGES CXX)
+project(tetzle VERSION 2.2.3 LANGUAGES CXX)
 
-set(project_copyright "2008-2023 Graeme Gott")
+set(project_copyright "2008-2024 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060600>
 )
 
 # Version number

=== debian/changelog ===
tetzle (2.2.3-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:23:54 +1100

tetzle (2.2.3-1ubuntu2) noble; urgency=medium

  * Replace libqt6gui6 with libqt6gui6t64 in Build-Depends.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 25 Mar 2024 12:12:47 +0100

tetzle (2.2.3-1ubuntu1) noble; urgency=medium

  * Replace libqt6widgets6 with libqt6widgets6t64 in Build-Depends.
  * Replace libqt6core6 with libqt6core6t64 in Build-Depends.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 25 Mar 2024 14:43:58 +1300

tetzle (2.2.3-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:03:55 +0000

tetzle (2.2.3-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Sat, 20 Jan 2024 18:18:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: tetzle
 Section: games
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13),
  qt6-tools-dev,
  qt6-l10n-tools,
  qt6-tools-dev-tools,
  qt6-base-dev-tools,
- libqt6widgets6,
- libqt6gui6,
- libqt6core6,
+ libqt6widgets6t64,
+ libqt6gui6t64,
+ libqt6core6t64,
  mesa-common-dev,
  libqt6opengl6-dev,
  cmake

## tetzle 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2021-2024 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tetzle VERSION 2.2.3 LANGUAGES CXX)
+project(tetzle VERSION 3.0.0 LANGUAGES CXX)
 
 set(project_copyright "2008-2024 Graeme Gott")
 
@@ -15,40 +15,31 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools OpenGL OpenGLWidgets Widgets)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Widgets)
 include(GNUInstallDirs)
 
 add_compile_definitions(
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060600>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060700>
 )
 
 # Version number
 include(cmake/AddVersionCompileDefinition.cmake)
 add_version_compile_definition(src/main.cpp VERSIONSTR)
 
-# Create translations
-file(GLOB translations_SRCS translations/*.ts)
-qt6_add_translation(translations_QM ${translations_SRCS})
-
-add_custom_target(update_translations
-	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
-	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-	VERBATIM
-)
-
 # Create program
-qt6_add_executable(tetzle
+qt_add_executable(tetzle
 	src/add_image.cpp
 	src/appearance_dialog.cpp
 	src/board.cpp
 	src/choose_game_dialog.cpp
 	src/color_button.cpp
 	src/dancing_links.cpp
+	src/edge_scroller.cpp
+	src/fragment_list.cpp
 	src/generator.cpp
-	src/graphics_layer.cpp
 	src/image_properties_dialog.cpp
 	src/locale_dialog.cpp
 	src/main.cpp
@@ -72,9 +63,15 @@
 target_link_libraries(tetzle PRIVATE
 	Qt6::Core
 	Qt6::Gui
-	Qt6::OpenGL
-	Qt6::OpenGLWidgets
 	Qt6::Widgets
+)
+
+# Create translations
+file(GLOB translations_SRCS translations/*.ts)
+qt_add_translations(tetzle
+	TS_FILES ${translations_SRCS}
+	QM_FILES_OUTPUT_VARIABLE translations_QM
+	LUPDATE_OPTIONS -no-obsolete -locations none
 )
 
 # Optimize build

=== debian/changelog ===
tetzle (3.0.0-1build1) oracular; urgency=medium

  * No-change rebuild to include missing Changed-By field

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Aug 2024 10:39:38 +0000

tetzle (3.0.0-1) unstable; urgency=medium

  * New upstream release 
  * Update standards verion to 4.7.0
  * update copyright years

tetzle (2.2.3-1.1) unstable; urgency=medium

  * Non-maintainer Upload.

  [ Hilmar Preuße ]
  * Remove explicit BD on some libraries (Closes: #1068090)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Apr 2024 11:31:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: tetzle
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13),
  qt6-tools-dev,
  qt6-l10n-tools,
  qt6-tools-dev-tools,
  qt6-base-dev-tools,
- libqt6widgets6t64,
- libqt6gui6t64,
- libqt6core6t64,
  mesa-common-dev,
  libqt6opengl6-dev,
  cmake
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git

## tetzle 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# SPDX-FileCopyrightText: 2021-2024 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2021-2025 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tetzle VERSION 3.0.0 LANGUAGES CXX)
+project(tetzle VERSION 3.0.1 LANGUAGES CXX)
 
-set(project_copyright "2008-2024 Graeme Gott")
+set(project_copyright "2008-2025 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060700>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060800>
 )
 
 # Version number

=== debian/changelog ===
tetzle (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Restore previous changelog entry (Closes: #1078687) 

 -- Jonathan Carter <jcc@debian.org>  Thu, 09 Jan 2025 14:04:55 +0200

## tetzle 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tetzle VERSION 3.0.1 LANGUAGES CXX)
+project(tetzle VERSION 3.0.2 LANGUAGES CXX)
 
 set(project_copyright "2008-2025 Graeme Gott")
 
@@ -31,6 +31,33 @@
 
 # Create program
 qt_add_executable(tetzle
+	# Headers
+	src/add_image.h
+	src/appearance_dialog.h
+	src/board.h
+	src/choose_game_dialog.h
+	src/color_button.h
+	src/dancing_links.h
+	src/edge_scroller.h
+	src/fragment_list.h
+	src/generator.h
+	src/image_properties_dialog.h
+	src/locale_dialog.h
+	src/message.h
+	src/new_game_tab.h
+	src/open_game_tab.h
+	src/overview.h
+	src/path.h
+	src/piece.h
+	src/tag_manager.h
+	src/thumbnail_delegate.h
+	src/thumbnail_item.h
+	src/thumbnail_loader.h
+	src/tile.h
+	src/toolbar_list.h
+	src/window.h
+	src/zoom_slider.h
+	# Sources
 	src/add_image.cpp
 	src/appearance_dialog.cpp
 	src/board.cpp
@@ -49,13 +76,14 @@
 	src/overview.cpp
 	src/path.cpp
 	src/piece.cpp
-	src/tile.cpp
 	src/tag_manager.cpp
 	src/thumbnail_delegate.cpp
 	src/thumbnail_loader.cpp
+	src/tile.cpp
 	src/toolbar_list.cpp
 	src/window.cpp
 	src/zoom_slider.cpp
+	# Resources
 	data/data.qrc
 	${translations_QM}
 )
@@ -130,8 +158,9 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/tetzle/translations)
 	install(FILES doc/tetzle.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES data/unix/tetzle.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
-	install(FILES data/unix/tetzle.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+	include(cmake/TranslateMetainfo.cmake)
+	process_and_install_metainfo(PO_DIR ${CMAKE_SOURCE_DIR}/data/unix/po)
 endif()
 
 set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS TETZLE_DATADIR="${datadir}")

=== debian/changelog ===
tetzle (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.1

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Feb 2025 13:27:55 +0200

## tetzle 3.0.3

=== debian/changelog ===
tetzle (3.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 12 Mar 2025 16:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  mesa-common-dev,
  libqt6opengl6-dev,
  cmake
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- BINDIR=games
	echo $$PWD

override_dh_install:
	mv debian/tetzle/usr/bin debian/tetzle/usr/games
	dh_install
